cURL
curl -X POST "https://api.sitespy.app/api/v1/notifications" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"notification_urls": [
"mailto:admin@example.com",
"discord://webhook_id/webhook_token"
]
}'import requests
headers = {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
}
data = {
'notification_urls': [
'mailto:admin@example.com',
'discord://webhook_id/webhook_token'
]
}
response = requests.post('https://api.sitespy.app/api/v1/notifications',
headers=headers, json=data)
print(response.json())
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notification_urls: ['mailto:admin@example.com', 'discord://webhook_id/webhook_token']
})
};
fetch('https://api.sitespy.app/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"notification_urls": [
"<string>"
]
}Notifications
Add notification URLs
Add one or more notification URLs to the configuration
POST
/
notifications
cURL
curl -X POST "https://api.sitespy.app/api/v1/notifications" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"notification_urls": [
"mailto:admin@example.com",
"discord://webhook_id/webhook_token"
]
}'import requests
headers = {
'x-api-key': 'YOUR_API_KEY',
'Content-Type': 'application/json'
}
data = {
'notification_urls': [
'mailto:admin@example.com',
'discord://webhook_id/webhook_token'
]
}
response = requests.post('https://api.sitespy.app/api/v1/notifications',
headers=headers, json=data)
print(response.json())
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
notification_urls: ['mailto:admin@example.com', 'discord://webhook_id/webhook_token']
})
};
fetch('https://api.sitespy.app/api/v1/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"notification_urls": [
"<string>"
]
}Authorizations
API key for authentication. You can find your API key in the Site Spy dashboard under Settings → API.
Body
application/json
List of notification URLs
Response
Notification URLs added successfully
List of notification URLs

